NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder Class Reference

Represents a NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder . More...

Inheritance diagram for NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  MeasurementMethodType { WrapAround, OnSurface, NotSpecified }
 Represents the measurement methods used to position point 1. More...
 

Public Member Functions

unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Point AP1Left [get, set]
 Returns or sets the left AP1 alternative point. More...
 
unsafe bool AP1LeftFlag [get, set]
 Returns or sets the left AP1 alternative point flag. More...
 
unsafe NXOpen.Point AP1Right [get, set]
 Returns or sets the right AP1 alternative point. More...
 
unsafe bool AP1RightFlag [get, set]
 Returns or sets the right AP1 alternative point flag. More...
 
unsafe NXOpen.Point AP2Left [get, set]
 Returns or sets the left AP2 alternative point. More...
 
unsafe bool AP2LeftFlag [get, set]
 Returns or sets the left AP2 alternative point flag. More...
 
unsafe NXOpen.Expression AP2Offset [get]
 Returns the offset used to position AP2. More...
 
unsafe NXOpen.Point AP2Right [get, set]
 Returns or sets the right AP2 alternative point. More...
 
unsafe bool AP2RightFlag [get, set]
 Returns or sets the right AP2 alternative point flag. More...
 
unsafe NXOpen.Point AP3Left [get, set]
 Returns or sets the left AP3 alternative point. More...
 
unsafe bool AP3LeftFlag [get, set]
 Returns or sets the left AP3 alternative point flag. More...
 
unsafe NXOpen.Point AP3Right [get, set]
 Returns or sets the right AP3 alternative point. More...
 
unsafe bool AP3RightFlag [get, set]
 Returns or sets the right AP3 alternative point flag. More...
 
unsafe bool CreateGeometry [get, set]
 Returns or sets the create construction geometry flag. More...
 
unsafe NXOpen.Expression HorizontalLeftMax [get]
 Returns the left horizontal maximum required approach angle calculated value. More...
 
unsafe NXOpen.Expression HorizontalLeftMin [get]
 Returns the left horizontal minimum required approach angle calculated value. More...
 
unsafe NXOpen.Expression HorizontalRightMax [get]
 Returns the right horizontal maximum required approach angle calculated value. More...
 
unsafe NXOpen.Expression HorizontalRightMin [get]
 Returns the right horizontal minimum required approach angle calculated value. More...
 
unsafe NXOpen.Point Line1Left [get, set]
 Returns or sets the left Line 1 additional geometry. More...
 
unsafe bool Line1LeftFlag [get, set]
 Returns or sets the left Line 1 additional geometry flag. More...
 
unsafe NXOpen.Point Line1Right [get, set]
 Returns or sets the right Line 1 additional geometry. More...
 
unsafe bool Line1RightFlag [get, set]
 Returns or sets the right Line 1 additional geometry flag. More...
 
unsafe
NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.MeasurementMethodType 
MeasurementMethod [get, set]
 Returns or sets the measurement method used to position point 1. More...
 
unsafe NXOpen.Point Plane1Left [get, set]
 Returns or sets the left Plane 1 additional geometry. More...
 
unsafe bool Plane1LeftFlag [get, set]
 Returns or sets the left Plane 1 additional geometry flag. More...
 
unsafe NXOpen.Point Plane1Right [get, set]
 Returns or sets the right Plane 1 additional geometry. More...
 
unsafe bool Plane1RightFlag [get, set]
 Returns or sets the right Plane 1 additional geometry flag. More...
 
unsafe NXOpen.Point Plane5Left [get, set]
 Returns or sets the left Plane 5 additional geometry. More...
 
unsafe bool Plane5LeftFlag [get, set]
 Returns or sets the left Plane 5 additional geometry flag. More...
 
unsafe NXOpen.Point Plane5Right [get, set]
 Returns or sets the right Plane 5 additional geometry. More...
 
unsafe bool Plane5RightFlag [get, set]
 Returns or sets the right Plane 5 additional geometry flag. More...
 
unsafe NXOpen.Expression Point1Offset [get]
 Returns the offset used to position point 1. More...
 
unsafe NXOpen.Expression Point2Offset [get]
 Returns the offset used to position point 2. More...
 
unsafe NXOpen.Expression ReqHorizontalLeftMax [get]
 Returns the left horizontal maximum required approach angle. More...
 
unsafe NXOpen.Expression ReqHorizontalLeftMin [get]
 Returns the left horizontal minimum required approach angle. More...
 
unsafe NXOpen.Expression ReqHorizontalRightMax [get]
 Returns the right horizontal maximum required approach angle. More...
 
unsafe NXOpen.Expression ReqHorizontalRightMin [get]
 Returns the right horizontal minimum required approach angle. More...
 
unsafe NXOpen.Expression ReqVerticalMax [get]
 Returns the vertical maximum required approach angle. More...
 
unsafe NXOpen.Expression ReqVerticalMin [get]
 Returns the vertical minimum required approach angle. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder .

This is an abstract class and cannot be instantiated.

Created in NX9.0.0

Member Enumeration Documentation

Represents the measurement methods used to position point 1.

Enumerator
WrapAround 
OnSurface 
NotSpecified 

Member Function Documentation

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.AP1Left
getset

Returns or sets the left AP1 alternative point.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.AP1LeftFlag
getset

Returns or sets the left AP1 alternative point flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.AP1Right
getset

Returns or sets the right AP1 alternative point.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.AP1RightFlag
getset

Returns or sets the right AP1 alternative point flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.AP2Left
getset

Returns or sets the left AP2 alternative point.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.AP2LeftFlag
getset

Returns or sets the left AP2 alternative point flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.AP2Offset
get

Returns the offset used to position AP2.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.AP2Right
getset

Returns or sets the right AP2 alternative point.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.AP2RightFlag
getset

Returns or sets the right AP2 alternative point flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.AP3Left
getset

Returns or sets the left AP3 alternative point.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.AP3LeftFlag
getset

Returns or sets the left AP3 alternative point flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.AP3Right
getset

Returns or sets the right AP3 alternative point.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.AP3RightFlag
getset

Returns or sets the right AP3 alternative point flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.CreateGeometry
getset

Returns or sets the create construction geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.HorizontalLeftMax
get

Returns the left horizontal maximum required approach angle calculated value.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.HorizontalLeftMin
get

Returns the left horizontal minimum required approach angle calculated value.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.HorizontalRightMax
get

Returns the right horizontal maximum required approach angle calculated value.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.HorizontalRightMin
get

Returns the right horizontal minimum required approach angle calculated value.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.Line1Left
getset

Returns or sets the left Line 1 additional geometry.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.Line1LeftFlag
getset

Returns or sets the left Line 1 additional geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.Line1Right
getset

Returns or sets the right Line 1 additional geometry.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.Line1RightFlag
getset

Returns or sets the right Line 1 additional geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.MeasurementMethodType NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.MeasurementMethod
getset

Returns or sets the measurement method used to position point 1.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.Plane1Left
getset

Returns or sets the left Plane 1 additional geometry.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.Plane1LeftFlag
getset

Returns or sets the left Plane 1 additional geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.Plane1Right
getset

Returns or sets the right Plane 1 additional geometry.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.Plane1RightFlag
getset

Returns or sets the right Plane 1 additional geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.Plane5Left
getset

Returns or sets the left Plane 5 additional geometry.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.Plane5LeftFlag
getset

Returns or sets the left Plane 5 additional geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.Plane5Right
getset

Returns or sets the right Plane 5 additional geometry.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.Plane5RightFlag
getset

Returns or sets the right Plane 5 additional geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.Point1Offset
get

Returns the offset used to position point 1.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.Point2Offset
get

Returns the offset used to position point 2.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.ReqHorizontalLeftMax
get

Returns the left horizontal maximum required approach angle.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.ReqHorizontalLeftMin
get

Returns the left horizontal minimum required approach angle.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.ReqHorizontalRightMax
get

Returns the right horizontal maximum required approach angle.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.ReqHorizontalRightMin
get

Returns the right horizontal minimum required approach angle.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.ReqVerticalMax
get

Returns the vertical maximum required approach angle.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactAPillarDetailBuilder.ReqVerticalMin
get

Returns the vertical minimum required approach angle.

Created in NX9.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.